/*
 * $Author: ac $
 * $Id: testsort.c,v 1.2 1999/10/21 12:51:55 ac Exp $
 * $Date: 1999/10/21 12:51:55 $
 */
/*
 * $Log: testsort.c,v $
 * Revision 1.2  1999/10/21 12:51:55  ac
 * Nouvelle version avec les librairies bdd104, abe, abv, abt.
 * Ajout de fpm_network pour accelerer l'optimisation.
 *
 * Revision 1.1.1.1  1998/10/21 16:32:38  alliance
 * fpmap import
 *
 */

#include <stdio.h>
#include  BFL_H

#define MAXN 500
#define MAXSTR 1000

int
cmp(const bflptr_t p1, const bflptr_t p2)
{
    return strcmp(*(char **) p1, *(char **) p2);
}

static char *string[MAXN];
static char buf[MAXSTR];

extern char *gets();
extern char *malloc();

int
main()
{
    char *p;
    int i, n;

    for (n = 0; gets(buf); ++n) {
	if (n == MAXN) {
	    fprintf(stderr, "Too many strings\n");
	    exit(1);
	}
	p = malloc(strlen(buf) + 1);
	if (p == (char *) NULL) {
	    fprintf(stderr, "Out of memory\n");
	    exit(2);
	}
	strcpy(string[n] = p, buf);
    }

    bflsort(string, n, sizeof string[0], cmp);

    for (i = 0; i < n; ++i)
	puts(string[i]);

    return 0;
}
