/*
 * $Author: ac $
 * $Id: butcount.c,v 1.2 1999/10/21 12:51:59 ac Exp $
 * $Date: 1999/10/21 12:51:59 $
 */
/*
 * $Log: butcount.c,v $
 * Revision 1.2  1999/10/21 12:51:59  ac
 * Nouvelle version avec les librairies bdd104, abe, abv, abt.
 * Ajout de fpm_network pour accelerer l'optimisation.
 *
 * Revision 1.1.1.1  1998/10/21 16:32:39  alliance
 * fpmap import
 *
 */

/*----------------------------------------------------------------------*/
/*                               Includes                               */
/*----------------------------------------------------------------------*/

#include  MUT_H
#include  BFL_H
#include  AUT_H
#include  ABL_H
#include  BDD_H
#include  ABE_H
#include  BUT_H

/*----------------------------------------------------------------------*/
/*                        Constant declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Type declarations                           */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Stucture declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Variable declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Macro declarations                          */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                      Static function prototypes                      */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                    Definition of static functions                    */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                   Definition of exported functions                   */
/*----------------------------------------------------------------------*/

int
but_num_input(befig_list *befig)
{
	int size = 0;
	bepor_list *bepor;

	for (bepor = befig->BEPOR; bepor != NULL; bepor = bepor->NEXT)
		if (bepor->DIRECTION == 'I')
			size++;
	return size;
}

int
but_num_beout(befig_list *befig)
{
	int size = 0;
	beout_list *beout;

	for (beout = befig->BEOUT; beout != NULL; beout = beout->NEXT)
		size++;
	return size;
}

int
but_num_bereg(befig_list *befig)
{
	int size = 0;
	bereg_list *bereg;

	for (bereg = befig->BEREG; bereg != NULL; bereg = bereg->NEXT)
		size++;
	return size;
}

int
but_num_bebux(befig_list *befig)
{
	int size = 0;
	bebux_list *bebux;

	for (bebux = befig->BEBUX; bebux != NULL; bebux = bebux->NEXT)
		size++;
	return size;
}

