/*
 * $Author: ac $
 * $Id: butfind.c,v 1.1 1999/10/21 12:51:59 ac Exp $
 * $Date: 1999/10/21 12:51:59 $
 */
/*
 * $Log: butfind.c,v $
 * Revision 1.1  1999/10/21 12:51:59  ac
 * Nouvelle version avec les librairies bdd104, abe, abv, abt.
 * Ajout de fpm_network pour accelerer l'optimisation.
 *
 */

/*----------------------------------------------------------------------*/
/*                               Includes                               */
/*----------------------------------------------------------------------*/

#include <stdio.h>
#include MUT_H
#include AUT_H
#include ABL_H
#include ABE_H
#include BUT_H

/*----------------------------------------------------------------------*/
/*                        Constant declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Type declarations                           */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Stucture declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Variable declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Macro declarations                          */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                      Static function prototypes                      */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                    Definition of static functions                    */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                   Definition of exported functions                   */
/*----------------------------------------------------------------------*/

befig_list *but_findbefig( BehFigure, Name )
    befig_list *BehFigure;
    char       *Name;
{
	Name = namealloc( Name );
	while ( BehFigure != (befig_list *)0 )
		if ( BehFigure->NAME == Name )
			return BehFigure;
	return (befig_list *)0;
}

beaux_list *but_findbeaux( BehFigure, Name )
    befig_list *BehFigure;
    char       *Name;
{
    beaux_list *BehAux;

    Name = namealloc( Name );
    for ( BehAux = BehFigure->BEAUX; BehAux != 0; BehAux = BehAux->NEXT )
	if ( BehAux->NAME == Name )
	    return BehAux;
    return (beaux_list *)0;
}

bebus_list *but_findbebus( BehFigure, Name )
    befig_list *BehFigure;
    char       *Name;
{
    bebus_list *BehBus;

    Name = namealloc( Name );
    for ( BehBus = BehFigure->BEBUS; BehBus != 0; BehBus = BehBus->NEXT )
	if ( BehBus->NAME == Name )
	    return BehBus;
    return (bebus_list *)0;
}

bebux_list *but_findbebux( BehFigure, Name )
    befig_list *BehFigure;
    char       *Name;
{
    bebux_list *BehBux;

    Name = namealloc( Name );
    for ( BehBux = BehFigure->BEBUX; BehBux != 0; BehBux = BehBux->NEXT )
	if ( BehBux->NAME == Name )
	    return BehBux;
    return (bebux_list *)0;
}

beout_list *but_findbeout( BehFigure, Name )
    befig_list *BehFigure;
    char       *Name;
{
    beout_list *BehOut;

    Name = namealloc( Name );
    for ( BehOut = BehFigure->BEOUT; BehOut != 0; BehOut = BehOut->NEXT )
	if ( BehOut->NAME == Name )
	    return BehOut;
    return (beout_list *)0;
}

bepor_list *but_findbepor( BehFigure, Name )
    befig_list *BehFigure;
    char       *Name;
{
    bepor_list *BehPor;

    Name = namealloc( Name );
    for ( BehPor = BehFigure->BEPOR; BehPor != 0; BehPor = BehPor->NEXT )
	if ( BehPor->NAME == Name )
	    return BehPor;
    return (bepor_list *)0;
}

bereg_list *but_findbereg( BehFigure, Name )
    befig_list *BehFigure;
    char       *Name;
{
    bereg_list *BehReg;

    Name = namealloc( Name );
    for ( BehReg = BehFigure->BEREG; BehReg != 0; BehReg = BehReg->NEXT )
	if ( BehReg->NAME == Name )
	    return BehReg;
    return (bereg_list *)0;
}

berin_list *but_findberin( BehFigure, Name )
    befig_list *BehFigure;
    char       *Name;
{
    berin_list *BehRin;

    Name = namealloc( Name );
    for ( BehRin = BehFigure->BERIN; BehRin != 0; BehRin = BehRin->NEXT )
	if ( BehRin->NAME == Name )
	    return BehRin;
    return (berin_list *)0;
}

