/*
 * $Author: alliance $
 * $Id: testunvector.c,v 1.1.1.1 1998/10/21 16:32:40 alliance Exp $
 * $Date: 1998/10/21 16:32:40 $
 */
/*
 * $Log: testunvector.c,v $
 * Revision 1.1.1.1  1998/10/21 16:32:40  alliance
 * fpmap import
 *
 */

#include MUT_H
#include BFL_H
#include AUT_H
#include ABL_H
#include BDD_H
#include BEH_H
#include BVL_H
#include BUT_H

static char *usage_str[] = {
	0
};

static void
usage(void)
{
	char *str = usage_str[0];

	while (str != (char *)0)
		fputs(str++, stderr);
	exit(1);
}

int
main(int argc, char ** argv)
{
	befig_list *befig;

	mbkenv();
	bflenv(argv[0]);
	autenv();
	ablenv();

	if (argc != 2)
		bflerror(1, "usage: %s <filename>");

	befig = vhdlloadbefig(NULL, argv[1], 0);
	but_postfix_name(befig, "u");
	but_unvector(befig, BUT_ALL);
	vhdlsavebefig(befig, 0);

	return 0;
}
