/*
 * $Author: ac $
 * $Id: fpm_util.h,v 1.1 1999/10/21 12:52:08 ac Exp $
 * $Date: 1999/10/21 12:52:08 $
 */
/*
 * $Log: fpm_util.h,v $
 * Revision 1.1  1999/10/21 12:52:08  ac
 * Nouvelle version avec les librairies bdd104, abe, abv, abt.
 * Ajout de fpm_network pour accelerer l'optimisation.
 *
 */

#ifndef __fpm_util_h
#define __fpm_util_h

/*----------------------------------------------------------------------*/
/*                           Nested includes                            */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Constant declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Macro declarations                          */
/*----------------------------------------------------------------------*/

#ifndef __P
# ifdef __STDC__
#  define __P(args)	args
# else
#  define __P(args)	()
# endif
#endif

#define FP_MIN( a, b )		( (a) < (b) ? (a) : (b) )
#define FP_MAX( a, b )		( (a) > (b) ? (a) : (b) )

/*----------------------------------------------------------------------*/
/*                          Type declarations                           */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Stucture declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Variable declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                         Function prototypes                          */
/*----------------------------------------------------------------------*/

extern int         fpm_support_size(chain_list *List1, chain_list *List2);
extern chain_list *fpm_merge_chain(chain_list *List1, chain_list *List2);
extern int         fpm_length_chain(chain_list *List);
extern int         fpm_is_saved_aux(chain_list *SavedAux, char *Name);

#endif /* __fpm_util_h */
