#include "PCommon.h"
#include <math.h>
#include "PConstants.h"

bool IsSpecialNet(const losig* sig)
{
    return ( (isvdd((char*)sig->NAMECHAIN->DATA))
	  || (isvss((char*)sig->NAMECHAIN->DATA)) );
}

const double SquareShape(const double margin,
	const double sumwidth, const double minwidth, int& nrows)
{
    if (!nrows)
	nrows = (int)(sqrt((1.0 + margin) * sumwidth / ROWHEIGHT) + 0.5);
    double RowWidth = (double)((int)(((1.0 + margin) * sumwidth / (double)nrows) + 0.5));
    if (RowWidth < minwidth)
	return minwidth;
    return RowWidth;
}
