
/* ###--------------------------------------------------------------### */
/* file		: scg_AddTra.c						*/
/* date		: Aug  5 1997						*/
/* version	: v101							*/
/* author	: Nizar ABDALLAH, Pirouz BARAGAN SABET			*/
/* description	: scheduler						*/
/* ###--------------------------------------------------------------### */

#include <stdio.h>
#include SCG_H

/* ###--------------------------------------------------------------### */
/* function	: scg_AddTranscation					*/
/* description	: insert a new transaction into the scheduler		*/
/* called func.	: scg_addshent, scg_addshtra				*/
/* ###--------------------------------------------------------------### */

void scg_AddTransaction (pt_shdul, ident, scdid, date, inert, cond, valu, uflag, flags)

struct shdul   *pt_shdul;
void           *ident   ;
void           *scdid   ;
unsigned int    date    ;
unsigned int    inert   ;
void           *cond    ;
void           *valu    ;
unsigned int    uflag   ;
unsigned short  flags   ;

  {
  struct shtra  *pt_shtra;

  date     += pt_shdul->CURTIME;
  pt_shtra  = scg_addshtra (ident, scdid, date, cond, valu, uflag, flags);

  scg_insentry (pt_shdul, pt_shtra);
  scg_inswave  (pt_shdul, pt_shtra, inert);
  }
