/*
 * $Author: ac $
 * $Id: testcube.c,v 1.1 1999/10/21 12:51:54 ac Exp $
 * $Date: 1999/10/21 12:51:54 $
 */
/*
 * $Log: testcube.c,v $
 * Revision 1.1  1999/10/21 12:51:54  ac
 * Nouvelle version avec les librairies bdd104, abe, abv, abt.
 * Ajout de fpm_network pour accelerer l'optimisation.
 *
 */

#include BFL_H

int
main()
{
	int i;
	bflcube_t *c1, *c2, *r;

	c1 = bflcubenew(40);
	c2 = bflcubenew(40);
	r  = bflcubenew(40);

	printf("c1 = "); bflcubeprint(stdout, c1);
	printf("c2 = "); bflcubeprint(stdout, c2);
	printf("r  = "); bflcubeprint(stdout, r);
	
	for (i = 4; i < 40; i += 4) bflcubeset(c1, i);
	for (i = 2; i < 40; i += 4) bflcubeset(c2, i);
	printf("c1 = "); bflcubeprint(stdout, c1);
	printf("c2 = "); bflcubeprint(stdout, c2);
	printf("r = c1 or c2\n");
	bflcubeor(r, c1, c2);
	printf("r  = "); bflcubeprint(stdout, r);
	
	printf("r = r and c2\n");
	bflcubeor(r, r, c2);
	printf("r  = "); bflcubeprint(stdout, r);
	
	return 0;
}
