#include "PPos.h"
#include <values.h>

const PPos PPos::Min(-MAXDOUBLE, -MAXDOUBLE);
const PPos PPos::Max(+MAXDOUBLE, +MAXDOUBLE);

bool  PPos::operator==(const PPos& pos) const
{
    return (X == pos.X) && (Y == pos.Y);
}

bool  PPos::operator!=(const PPos& pos) const
{
    return (X != pos.X) || (Y != pos.Y);
}

bool  PPos::operator<(const PPos& pos) const
{
    return (X < pos.X) || ((X == pos.X) && (Y < pos.Y));
}

bool  PPos::operator>(const PPos& pos) const
{
    return (X > pos.X) || ((X == pos.X) && (Y > pos.Y));
}

ostream&
PPos::Print(ostream& os) const
{
    return cout << '(' << X << ", " << Y << ')';
}


