/*
   ### -------------------------------------------------- ### 
   $Author: hcl $
   $Date: 2001/09/26 14:27:56 $
   $Log: ocrInitDataBase.c,v $
   Revision 1.1  2001/09/26 14:27:56  hcl
   premier commit....


   ### -------------------------------------------------- ###
 */

#include <stdlib.h>
#include MUT_H
#include MLO_H
#include MLU_H
#include MPH_H
#include MPU_H

#include "ocr.h"
#include "ocrWRoutingDataBase.h"
#include "ocrWindow.h"
#include "ocrPath.h"
#include "display.h"

#include "ocrConnectorUtil.h"
#include "ocrSignalUtil.h"
#include "ocrInitDataBase.h"

static char *res_id = "$Id: ocrInitDataBase.c,v 1.1 2001/09/26 14:27:56 hcl Exp $";

extern ocrOption *g_pOption;
#define LEVEL (g_pOption->LEVEL)

/**
 * Initialisation de la base de donne
**/
ocrRoutingDataBase *
initDataBase (phfig_list * i_pPhFig,
		    lofig_list * i_pLoFig)
{
  ocrRoutingDataBase *l_pDataBase;

  // Cration de la base de donne
  l_pDataBase = createDataBase (i_pPhFig);

  // Cration d'une vue duale de la connectique
  lofigchain (i_pLoFig);
  display (LEVEL, VERBOSE, "%s\n", "Dual connectique ...");

  // Initialisation des signaux a router
  initGlobalSignalList (l_pDataBase, i_pLoFig);

  // Cration des listes de connecteurs virtuels
  initConnectorList (l_pDataBase, i_pPhFig, i_pLoFig);

//  dumpDataBase (l_pDataBase, stdout);
  return l_pDataBase;
}
