
/* ###--------------------------------------------------------------### */
/* file		: bhl112.h						*/
/* date		: Oct 30 1995						*/
/* version	: v112							*/
/* author	: Pirouz BAZARGAN SABET, Julien DUNOYER			*/
/* contents	: high level library for behavioural description	*/
/* ###--------------------------------------------------------------### */

#ifndef BEH_BHLDEF
#define BEH_BHLDEF

	/* ###------------------------------------------------------### */
	/*    defines							*/
	/* ###------------------------------------------------------### */

#define BEH_DELAY_FIXED          0x01	/* Fixed delay			*/
#define BEH_DELAY_RANDOM         0x02	/* Random delay			*/
#define BEH_DELAY_BACKANOTATED   0x04	/* Backanotated delay behavior	*/

	/* ###------------------------------------------------------### */
	/*    functions							*/
	/* ###------------------------------------------------------### */

extern int           beh_chkbefig       ();
extern void          beh_debug          ();

extern struct node  *beh_abl2bdd        ();
extern void          beh_makbdd         ();

extern void          beh_makgex         ();

extern struct beder *beh_derivSig       ();
extern void          beh_makderiv       ();

extern struct chain *beh_abl2varlist    ();
extern void          beh_makvarlist     ();

extern void          beh_freabl         ();
extern void          beh_depend         ();
extern struct chain *beh_namelist       ();
extern struct chain *beh_unamlist       ();
extern void          beh_indexbdd       ();

#endif
