
/* ###--------------------------------------------------------------### */
/*									*/
/* file		: pat_message.c						*/
/* date		: Aug 16 1993						*/
/* version	: v104							*/
/* author	: Pirouz BAZARGAN SABET					*/
/* content	: system level functions				*/
/*									*/
/* ###--------------------------------------------------------------### */

#include <stdio.h>

/* ###--------------------------------------------------------------### */
/* function	: pat_message						*/
/* description	: print a message depending on the argument `code`	*/
/* called func.	: none							*/
/* ###--------------------------------------------------------------### */

int pat_message (code, str1, str2, line)

int           code;
char         *str1;
char         *str2;
unsigned int  line;

  {
  int flag = 1;

  fprintf (stdout, "%s : ", str1);

  switch (code)
    {
    case 1:
      fprintf (stdout, "stop mark set\n");
      break;

    case 2:
      fprintf (stdout, "\tSTACK OVERFLOW !!\tSTACK OVERFLOW !!\n");
      break;

    default :
      fprintf (stderr,"unknown message\n");
      break;
    }

  return (flag);
  }
