
/* ###--------------------------------------------------------------### */
/* 									*/
/* file		: prb_addprbino.c					*/
/* date		: May 18 1994						*/
/* version	: v100							*/
/* authors	: Julien DUNOYER					*/
/* content	: low-level prb function				*/
/*									*/
/* ###--------------------------------------------------------------### */

#include MUT_H
#include PRB_H

/* ###--------------------------------------------------------------### */
/* function	: prb_addprbino						*/
/* description	: create a PRBINO structure at the top of a list	*/
/* called func.	: namealloc, mbkalloc					*/
/* ###--------------------------------------------------------------### */

struct prbino *prb_addprbino (lastprbino, name)

struct prbino *lastprbino;    /* pointer on the last prbino structure	*/
char          *name;	      /* inout's name				*/

  {
  struct prbino *ptino;

  name          = namealloc (name);

  ptino        = (struct prbino *) mbkalloc (sizeof(struct prbino));
  ptino->NAME  = name;
  ptino->NEXT  = lastprbino;

  return (ptino);
  }
