/*
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This progam is  free software; you can redistribute it  and/or modify it
 * under the  terms of the GNU  General Public License as  published by the
 * Free Software Foundation;  either version 2 of the License,  or (at your
 * option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

Return-Path: <fred@cao-vlsi.ibp.fr>
Received: from cao-vlsi.ibp.fr (si) by enseig (4.1/SMI-4.1+GED)
	id AA01921; Tue, 25 May 93 13:30:31 +0100
Received: from roll.ibp.fr by cao-vlsi.ibp.fr (4.1/SMI-4.1+RC++)
	id AA22546; Tue, 25 May 93 14:18:54 +0100
From: fred@cao-vlsi.ibp.fr (Frederic PETROT)
Message-Id: <9305251318.AA22546@cao-vlsi.ibp.fr>
Subject: grog_outline.c
To: dea9234@enseig
Date: Tue, 25 May 1993 14:18:53 +0100 (BST)
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Content-Length: 399       
Status: R

#include MUT_H
#include MPH_H
#include MBG_H

void grogoutline()
{
phseg_list *ps,*pz;

	WORK_PHFIG->PHINS = NULL;
	WORK_PHFIG->PHVIA = NULL;

	for (ps = WORK_PHFIG->PHSEG; ps;) {
		if (ps->LAYER == TPOLY || ps->LAYER == TALU1 || 
				ps->LAYER == TALU2 || ps->LAYER == TALU3) {
			ps = ps->NEXT;
			continue;
		}
		pz = ps->NEXT;
		delphseg(WORK_PHFIG, ps);
		ps = pz;
	}
	savephfig(WORK_PHFIG);
}
